// const 修饰变量，表示只读变量
#include <stdio.h>

int main()
{
    const int m = 10;
    // m = 20; // 编译时报错: 因为 m 是只读变量

    int *p = &m; // 地址可以赋值给指针变量
    *p = 20;     // 可以通过指针变量修改只读变量的值

    printf("%d\n", m);
    return 0;
}